Skip to main content

Request Network Unit Icon

Retrieve unit icon (or fixture icon if unit image not set) identified by network and unit ID, requires use of API key and sessionId (Header: X-Casambi-Key, X-Casambi-Session). Will return image blob data in png format or HTTP status 404 Not found.

HTTP Request:

GET https://door.casambi.com/v1/networks/{networkId}/units/{unitId}/icon

Path Parameters:

networkId: "networkId"
unitId: unitId

CURL Example:

curl "https://door.casambi.com/v1/networks/NETWORK-ID-HERE/units/UNIT-ID-HERE/icon" \
-H "X-Casambi-Session:SESSION-ID-HERE" \
-H "X-Casambi-Key:API-KEY-HERE"

Response: Image blob data in png format.